<form autocomplete="off">
  <div class="trapping-col">
    <div class="trapping-row">
      <div class="form-group">
        <label>{{localize title}}</label>
      </div>
    </div>
    <div class="trapping-row">
      <div class="form-group chooser-select-container">
        <select id="trappings-select" class="chooser-select-icons">
          {{#each trappings}}
          <optgroup label="{{group}}">
            {{#each items}} {{#if selected}}
            <option value="{{key}}" selected="selected">
              {{> (../../worldIconTemplate)}}{{localize value}}
            </option>
            {{else}}
            <option value="{{key}}">
              {{> (../../worldIconTemplate)}}{{localize value}}
            </option>
            {{/if}} {{/each}}
          </optgroup>
          {{/each}}
        </select>
        <button id="trappings-add" type="button" class="chooser-form-button">
          <i class="fas fa-plus"></i>
        </button>
      </div>
    </div>
    <div class="trapping-row">
      <div class="form-group">
        <label>{{localize 'WFRP4NPCGEN.name.select.label'}}</label>
      </div>
      <div class="form-group trapping-col-quantity">
        <label
          >{{localize 'WFRP4NPCGEN.select.trappings.quantity.label'}}</label
        >
      </div>
      <div class="form-group trapping-col-action">
        <label></label>
      </div>
    </div>
    {{#each selectedTrappings}}
    <div class="trapping-row">
      <div class="form-group">
        {{> (../worldLabelTemplate) worldIconTemplate=../worldIconTemplate}}
      </div>
      <div class="form-group trapping-col-quantity">
        <input
          class="trapping-quantity-input"
          data-id="{{id}}"
          id="quantity-{{id}}"
          name="quantity-{{id}}"
          type="number"
          value="{{quantity}}"
        />
      </div>
      <div class="form-group trapping-col-action">
        <button
          class="trapping-remove chooser-form-button"
          type="button"
          value="{{id}}"
        >
          <i class="fas fa-trash-alt"></i>
        </button>
      </div>
    </div>
    {{/each}}
  </div>
  {{> (buttonsTemplate)}}
</form>
